<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzs.report.member.mapper.StatisticalLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hzs.common.domain.report.stat.StatisticalLog">
        <id column="PK_ID" property="pkId" />
    <result column="DEL_FLAG" property="delFlag" />
    <result column="CREATION_TIME" property="creationTime" />
    <result column="MODIFIED_TIME" property="modifiedTime" />
    <result column="PK_COUNTRY" property="pkCountry" />
    <result column="PK_CREATOR" property="pkCreator" />
    <result column="PK_MODIFIED" property="pkModified" />
        <result column="PK_MEMBER" property="pkMember" />
        <result column="EDIT_TYPE" property="editType" />
        <result column="OPERATION_CONTENT" property="operationContent" />
        <result column="BUSINESS_NO" property="businessNo" />
        <result column="APPROVE_STATUS" property="approveStatus" />
        <result column="APPROVE_NUMBER" property="approveNumber" />
        <result column="EDIT_TYPE_PAY" property="editTypePay" />
        <result column="SINGLE_AMOUNT" property="singleAmount" />
        <result column="PROCESS_TYPE" property="processType" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        DEL_FLAG,
        CREATION_TIME,
        MODIFIED_TIME,
        PK_COUNTRY,
        PK_CREATOR,
        PK_MODIFIED,
        PK_ID, PK_MEMBER, EDIT_TYPE, OPERATION_CONTENT, BUSINESS_NO, APPROVE_STATUS, APPROVE_NUMBER, EDIT_TYPE_PAY, SINGLE_AMOUNT, PROCESS_TYPE
    </sql>

</mapper>
